import java.util.*;
import java.util.Comparator;

public class MyList {
    public static void main(String[] args) {

        // Part 1. Search item in a ArrayList.

        ArrayList<Integer> numbers = new ArrayList<>();
        numbers.add(1);
        numbers.add(32);
        numbers.add(12);
        numbers.add(100);
        numbers.add(54);
        numbers.add(28);
        numbers.sort(Comparator.naturalOrder());


        // Searching for an item. (returns index as int)
        // Using indexOf() method
        System.out.println(numbers.indexOf(32));

        // Using contains() method. (returns boolean)
        System.out.println(numbers.contains(32));


        // Part 2. Search last item in an ArrayList and a LinkedList.

        // Compare search times.
        List<Integer> myArrayList = new ArrayList<>();
        List<Integer> myLinkedList = new LinkedList<>();
        Collections.addAll(myArrayList, 23, 44, -9, 14, 123, 56, 223, 445, 33, 45, 89, 1, 0, 21, 100);
        Collections.addAll(myLinkedList, 23, 44, -9, 14, 123, 56, 223, 445, 33, 45, 89, 1, 0, 21, 100);


        // code snippet to determine code execution time.
        int item = 100;
        System.out.println("Time for ArrayList");
        long start = System.nanoTime();

        for (int iter: myArrayList) {
            if (iter == item) {
                break;
            }
        }
        long end = System.nanoTime();
        long elapsedTime = end - start;
        System.out.println(elapsedTime);

        System.out.println("Time for LinkedList");
        long start1 = System.nanoTime();
        for (int iter: myLinkedList) {
            if (iter == item) {
                break;
            }
        }
        long end1= System.nanoTime();
        long elapsedTime1 = end1 - start1;
        System.out.println(elapsedTime1);




    }
}

